Publish content asset
curl --request POST \
--url https://ai.wisepilot.app/api/v1/content/assets/{id}/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "wordpress"
}
'import requests
url = "https://ai.wisepilot.app/api/v1/content/assets/{id}/publish"
payload = { "platform": "wordpress" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({platform: 'wordpress'})
};
fetch('https://ai.wisepilot.app/api/v1/content/assets/{id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"status": "published",
"wpPostId": "<string>",
"workItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"success": false,
"error": "Invalid API key",
"code": "INVALID_API_KEY"
}{
"success": false,
"error": "Not found"
}Content
Publish content asset
Publish an asset to its target platform. Lifecycle-gated — requires all prerequisite steps to be complete. minRole: editor
POST
/
content
/
assets
/
{id}
/
publish
Publish content asset
Authorizations
API key prefixed with cr_ (e.g. cr_a1b2c3...)
Path Parameters
Asset content_id
Query Parameters
Website ID. Auto-resolved if key has single website scope.
Body
application/json
Available options:
wordpress, elementor ⌘I